zlib: upgraded package to upstream

Upgraded sys-libs/zlib to version 1.2.11-r4 on amd64

BUG=b:200958881
TEST=emerge zlib

Change-Id: Ica004f4e8f024e5b1e590cb287c674d43d5f74ac
Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/overlays/portage-stable/+/3183528
Reviewed-by: Mike Frysinger <vapier@chromium.org>
Reviewed-by: Chris McDonald <cjmcdonald@chromium.org>
Tested-by: Mike Frysinger <vapier@chromium.org>
diff --git a/metadata/md5-cache/sys-libs/zlib-1.2.11 b/metadata/md5-cache/sys-libs/zlib-1.2.11
deleted file mode 100644
index 9067d04..0000000
--- a/metadata/md5-cache/sys-libs/zlib-1.2.11
+++ /dev/null
@@ -1,13 +0,0 @@
-DEFINED_PHASES=compile configure install prepare test
-DEPEND=minizip? ( !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 ) >=app-portage/elt-patches-20170815
-DESCRIPTION=Standard (de)compression library
-EAPI=5
-HOMEPAGE=http://www.zlib.net/
-IUSE=minizip static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_ppc_32 abi_ppc_64 abi_s390_32 abi_s390_64 abi_arm_32 abi_arm_64
-KEYWORDS=*
-LICENSE=ZLIB
-RDEPEND=abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224 !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] ) !<dev-libs/libxml2-2.7.7
-SLOT=0
-SRC_URI=http://zlib.net/zlib-1.2.11.tar.gz http://www.gzip.org/zlib/zlib-1.2.11.tar.gz http://www.zlib.net/current/beta/zlib-1.2.11.tar.gz
-_eclasses_=autotools	d0e5375d47f4c809f406eb892e531513	desktop	b1d22ac8bdd4679ab79c71aca235009d	epatch	ed88001f77c6dd0d5f09e45c1a5b480e	estack	686eaab303305a908fd57b2fd7617800	eutils	fcb2aa98e1948b835b5ae66ca52868c5	libtool	f143db5a74ccd9ca28c1234deffede96	ltprune	2729691420b6deeda2a90b1f1183fb55	multibuild	40fe59465edacd730c644ec2bc197809	multilib	2477ebe553d3e4d2c606191fe6c33602	multilib-build	1979aa0ff4d356d32507ca4650d9f37d	multilib-minimal	8bddda43703ba94d8341f4e247f97566	preserve-libs	ef207dc62baddfddfd39a164d9797648	toolchain-funcs	f783d68a26b62d6b19e070e6bcada5e6	vcs-clean	2a0f74a496fa2b1552c4f3398258b7bf
-_md5_=5c675b45fa75dc24d71d0474148171c0
diff --git a/metadata/md5-cache/sys-libs/zlib-1.2.11-r4 b/metadata/md5-cache/sys-libs/zlib-1.2.11-r4
new file mode 100644
index 0000000..91164cd
--- /dev/null
+++ b/metadata/md5-cache/sys-libs/zlib-1.2.11-r4
@@ -0,0 +1,14 @@
+BDEPEND=minizip? ( !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 ) >=app-portage/elt-patches-20170815
+DEFINED_PHASES=compile configure install prepare test
+DEPEND=!<dev-libs/libxml2-2.7.7 !sys-libs/zlib-ng[compat]
+DESCRIPTION=Standard (de)compression library
+EAPI=7
+HOMEPAGE=https://zlib.net/
+IUSE=minizip static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_ppc_32 abi_ppc_64 abi_s390_32 abi_s390_64 abi_arm_32 abi_arm_64 split-usr
+KEYWORDS=*
+LICENSE=ZLIB
+RDEPEND=!<dev-libs/libxml2-2.7.7 !sys-libs/zlib-ng[compat]
+SLOT=0/1
+SRC_URI=https://zlib.net/zlib-1.2.11.tar.gz http://www.gzip.org/zlib/zlib-1.2.11.tar.gz http://www.zlib.net/current/beta/zlib-1.2.11.tar.gz elibc_Cygwin? ( https://github.com/cygwinports/zlib/raw/22a3462cae33a82ad966ea0a7d6cbe8fc1368fec/1.2.11-gzopen_w.patch -> zlib-1.2.11-cygwin-gzopen_w.patch https://github.com/cygwinports/zlib/raw/22a3462cae33a82ad966ea0a7d6cbe8fc1368fec/1.2.7-minizip-cygwin.patch -> zlib-1.2.7-cygwin-minizip.patch )
+_eclasses_=autotools	d0e5375d47f4c809f406eb892e531513	libtool	f143db5a74ccd9ca28c1234deffede96	multibuild	40fe59465edacd730c644ec2bc197809	multilib	2477ebe553d3e4d2c606191fe6c33602	multilib-build	1979aa0ff4d356d32507ca4650d9f37d	multilib-minimal	8bddda43703ba94d8341f4e247f97566	toolchain-funcs	605c126bed8d87e4378d5ff1645330cb	usr-ldscript	766f0a506b45f02361ad1b8ca205b7e1
+_md5_=7c85dce87bc2f764ea21833827425178
diff --git a/sys-libs/zlib/Manifest b/sys-libs/zlib/Manifest
index a09e7fa..9a8e509 100644
--- a/sys-libs/zlib/Manifest
+++ b/sys-libs/zlib/Manifest
@@ -1 +1,3 @@
-DIST zlib-1.2.11.tar.gz 607698 SHA256 c3e5e9fdd5004dcb542feda5ee4f0ff0744628baf8ed2dd5d66f8ca1197cb1a1 SHA512 73fd3fff4adeccd4894084c15ddac89890cd10ef105dd5e1835e1e9bbb6a49ff229713bd197d203edfa17c2727700fce65a2a235f07568212d820dca88b528ae WHIRLPOOL 4263b67dd133e9eb6a837f270a53e6083af871993c52f89a21135f188f83c58646e7aa5882d62f35370032afe7a9964dd2796c25d104b8a2a70b293a5e31f72a
+DIST zlib-1.2.11-cygwin-gzopen_w.patch 1170 BLAKE2B fe351436716634bd823da8c2811d332327d335d450d89bee85d7713b09dd454fe6aee264b044a41bf3be603aa36d67943ba6c7d8b46470e180e9b639728b5274 SHA512 14cc63a17fbf6afb6c8a8dd0b92df9807b48e0faf09c88f952083f10716ae62be8de2a0e1424b77fb538605b88898b381160521f2872afdda59e12bd27535c5a
+DIST zlib-1.2.11.tar.gz 607698 BLAKE2B 6bfc4bca5dcadba8a0d4121a2b3ed0bfe440c261003521862c8e6381f1a6f0a72d3fc037351d30afd7ef321e8e8d2ec817c046ac749f2ca0c97fbdc2f7e840b7 SHA512 73fd3fff4adeccd4894084c15ddac89890cd10ef105dd5e1835e1e9bbb6a49ff229713bd197d203edfa17c2727700fce65a2a235f07568212d820dca88b528ae
+DIST zlib-1.2.7-cygwin-minizip.patch 2626 BLAKE2B 885f1fda877c0b783618b163702fb46126b7db572767cd4edb86bd92db1f432c887ef1724e70c8319c26886368dba3a962af5284ec0875c20ec8ad2245fd100a SHA512 e372f1e06311e843eca2092e182c41abb009b5e9880b60292d708e4bc0de5a9e4c43d49b25b0c09df4784bc46a1254472bc5cdbdd8d6c762a9f6a145a555bfe7
diff --git a/sys-libs/zlib/files/zlib-1.2.11-fix-deflateParams-usage.patch b/sys-libs/zlib/files/zlib-1.2.11-fix-deflateParams-usage.patch
new file mode 100644
index 0000000..1876484
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.11-fix-deflateParams-usage.patch
@@ -0,0 +1,67 @@
+From f9694097dd69354b03cb8af959094c7f260db0a1 Mon Sep 17 00:00:00 2001
+From: Mark Adler <madler@alumni.caltech.edu>
+Date: Mon, 16 Jan 2017 09:49:35 -0800
+Subject: [PATCH] Permit a deflateParams() parameter change as soon as
+ possible.
+
+This commit allows a parameter change even if the input data has
+not all been compressed and copied to the application output
+buffer, so long as all of the input data has been compressed to
+the internal pending output buffer. This also allows an immediate
+deflateParams change so long as there have been no deflate calls
+since initialization or reset.
+---
+ deflate.c |  6 +++---
+ zlib.h    | 11 ++++++-----
+ 2 files changed, 9 insertions(+), 8 deletions(-)
+
+diff --git a/deflate.c b/deflate.c
+index b63311a5..20bda4f6 100644
+--- a/deflate.c
++++ b/deflate.c
+@@ -494,7 +494,7 @@ int ZEXPORT deflateResetKeep (strm)
+         s->wrap == 2 ? crc32(0L, Z_NULL, 0) :
+ #endif
+         adler32(0L, Z_NULL, 0);
+-    s->last_flush = Z_NO_FLUSH;
++    s->last_flush = -2;
+ 
+     _tr_init(s);
+ 
+@@ -587,12 +587,12 @@ int ZEXPORT deflateParams(strm, level, strategy)
+     func = configuration_table[s->level].func;
+ 
+     if ((strategy != s->strategy || func != configuration_table[level].func) &&
+-        s->high_water) {
++        s->last_flush != -2) {
+         /* Flush the last buffer: */
+         int err = deflate(strm, Z_BLOCK);
+         if (err == Z_STREAM_ERROR)
+             return err;
+-        if (strm->avail_out == 0)
++        if (strm->avail_in || (s->strstart - s->block_start) + s->lookahead)
+             return Z_BUF_ERROR;
+     }
+     if (s->level != level) {
+diff --git a/zlib.h b/zlib.h
+index 5daf4f28..577d81e3 100644
+--- a/zlib.h
++++ b/zlib.h
+@@ -712,11 +712,12 @@ ZEXTERN int ZEXPORT deflateParams OF((z_streamp strm,
+    used to switch between compression and straight copy of the input data, or
+    to switch to a different kind of input data requiring a different strategy.
+    If the compression approach (which is a function of the level) or the
+-   strategy is changed, and if any input has been consumed in a previous
+-   deflate() call, then the input available so far is compressed with the old
+-   level and strategy using deflate(strm, Z_BLOCK).  There are three approaches
+-   for the compression levels 0, 1..3, and 4..9 respectively.  The new level
+-   and strategy will take effect at the next call of deflate().
++   strategy is changed, and if there have been any deflate() calls since the
++   state was initialized or reset, then the input available so far is
++   compressed with the old level and strategy using deflate(strm, Z_BLOCK).
++   There are three approaches for the compression levels 0, 1..3, and 4..9
++   respectively.  The new level and strategy will take effect at the next call
++   of deflate().
+ 
+      If a deflate(strm, Z_BLOCK) is performed by deflateParams(), and it does
+    not have enough output space to complete, then the parameter change will not
diff --git a/sys-libs/zlib/files/zlib-1.2.11-minizip-drop-crypt-header.patch b/sys-libs/zlib/files/zlib-1.2.11-minizip-drop-crypt-header.patch
new file mode 100644
index 0000000..2e0a93e
--- /dev/null
+++ b/sys-libs/zlib/files/zlib-1.2.11-minizip-drop-crypt-header.patch
@@ -0,0 +1,38 @@
+https://bugs.gentoo.org/658536
+https://github.com/madler/zlib/pull/229
+
+From e490ddad3091574a0c2e3b5a66a8fee9a7ab212f Mon Sep 17 00:00:00 2001
+From: Pavel Raiskup <praiskup@redhat.com>
+Date: Sun, 19 Feb 2017 16:42:12 +0100
+Subject: [PATCH] minizip: don't install crypt.h
+
+People did mistakenly or unintentionally include crypt.h before,
+don't install this internal header from now.
+---
+ contrib/minizip/Makefile.am | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/contrib/minizip/Makefile.am b/contrib/minizip/Makefile.am
+index d343011ebc3b..4f46610238d2 100644
+--- a/contrib/minizip/Makefile.am
++++ b/contrib/minizip/Makefile.am
+@@ -26,13 +26,15 @@ libminizip_la_LDFLAGS = $(AM_LDFLAGS) -version-info 1:0:0 -lz
+ 
+ minizip_includedir = $(includedir)/minizip
+ minizip_include_HEADERS = \
+-	crypt.h \
+ 	ioapi.h \
+ 	mztools.h \
+ 	unzip.h \
+ 	zip.h \
+ 	${iowin32_h}
+ 
++noinst_HEADERS = \
++	crypt.h
++
+ pkgconfigdir = $(libdir)/pkgconfig
+ pkgconfig_DATA = minizip.pc
+ 
+-- 
+2.17.1
+
diff --git a/sys-libs/zlib/metadata.xml b/sys-libs/zlib/metadata.xml
index b2dbe04..4d41ee8 100644
--- a/sys-libs/zlib/metadata.xml
+++ b/sys-libs/zlib/metadata.xml
@@ -1,11 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<herd>base-system</herd>
+	<maintainer type="project">
+		<email>base-system@gentoo.org</email>
+		<name>Gentoo Base System</name>
+	</maintainer>
 	<use>
 		<flag name="minizip">include the minizip library for quick and dirty zip extraction</flag>
 	</use>
 	<upstream>
+		<remote-id type="github">madler/zlib</remote-id>
 		<remote-id type="cpe">cpe:/a:gnu:zlib</remote-id>
 	</upstream>
 </pkgmetadata>
diff --git a/sys-libs/zlib/zlib-1.2.11-r4.ebuild b/sys-libs/zlib/zlib-1.2.11-r4.ebuild
new file mode 100644
index 0000000..eab3baa
--- /dev/null
+++ b/sys-libs/zlib/zlib-1.2.11-r4.ebuild
@@ -0,0 +1,160 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+AUTOTOOLS_AUTO_DEPEND="no"
+inherit autotools multilib-minimal usr-ldscript
+
+CYGWINPATCHES=(
+	"https://github.com/cygwinports/zlib/raw/22a3462cae33a82ad966ea0a7d6cbe8fc1368fec/1.2.11-gzopen_w.patch -> ${PN}-1.2.11-cygwin-gzopen_w.patch"
+	"https://github.com/cygwinports/zlib/raw/22a3462cae33a82ad966ea0a7d6cbe8fc1368fec/1.2.7-minizip-cygwin.patch -> ${PN}-1.2.7-cygwin-minizip.patch"
+)
+
+DESCRIPTION="Standard (de)compression library"
+HOMEPAGE="https://zlib.net/"
+SRC_URI="https://zlib.net/${P}.tar.gz
+	http://www.gzip.org/zlib/${P}.tar.gz
+	http://www.zlib.net/current/beta/${P}.tar.gz
+	elibc_Cygwin? ( ${CYGWINPATCHES[*]} )"
+
+LICENSE="ZLIB"
+SLOT="0/1" # subslot = SONAME
+KEYWORDS="*"
+IUSE="minizip static-libs"
+
+BDEPEND="minizip? ( ${AUTOTOOLS_DEPEND} )"
+# See #309623 for libxml2
+RDEPEND="
+	!<dev-libs/libxml2-2.7.7
+	!sys-libs/zlib-ng[compat]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.2.11-fix-deflateParams-usage.patch
+	"${FILESDIR}"/${PN}-1.2.11-minizip-drop-crypt-header.patch #658536
+)
+
+src_prepare() {
+	default
+
+	if use elibc_Cygwin ; then
+		local p
+		for p in "${CYGWINPATCHES[@]}" ; do
+			# Strip out the "... -> " from the array
+			eapply -p2 "${DISTDIR}/${p#*> }"
+		done
+	fi
+
+	if use minizip ; then
+		cd contrib/minizip || die
+		eautoreconf
+	fi
+
+	case ${CHOST} in
+	*-cygwin*)
+		# do not use _wopen, is a mingw symbol only
+		sed -i -e '/define WIDECHAR/d' "${S}"/gzguts.h || die
+		# zlib1.dll is the mingw name, need cygz.dll
+		# cygz.dll is loaded by toolchain, put into subdir
+		sed -i -e 's|zlib1.dll|win32/cygz.dll|' win32/Makefile.gcc || die
+		;;
+	esac
+
+	case ${CHOST} in
+	*-mingw*|mingw*|*-cygwin*)
+		# uses preconfigured Makefile rather than configure script
+		multilib_copy_sources
+		;;
+	esac
+}
+
+echoit() { echo "$@"; "$@"; }
+
+multilib_src_configure() {
+	case ${CHOST} in
+	*-mingw*|mingw*|*-cygwin*)
+		;;
+	*)
+		local uname=$("${EPREFIX}"/usr/share/gnuconfig/config.sub "${CHOST}" | cut -d- -f3) #347167
+		local myconf=(
+			--shared
+			--prefix="${EPREFIX}/usr"
+			--libdir="${EPREFIX}/usr/$(get_libdir)"
+			${uname:+--uname=${uname}}
+		)
+		# not an autoconf script, so can't use econf
+		echoit "${S}"/configure "${myconf[@]}" || die
+		;;
+	esac
+
+	if use minizip ; then
+		local minizipdir="contrib/minizip"
+		mkdir -p "${BUILD_DIR}/${minizipdir}" || die
+		cd ${minizipdir} || die
+		ECONF_SOURCE="${S}/${minizipdir}" \
+		econf $(use_enable static-libs static)
+	fi
+}
+
+multilib_src_compile() {
+	case ${CHOST} in
+	*-mingw*|mingw*|*-cygwin*)
+		emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}-
+		sed \
+			-e 's|@prefix@|'"${EPREFIX}"'/usr|g' \
+			-e 's|@exec_prefix@|${prefix}|g' \
+			-e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
+			-e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
+			-e 's|@includedir@|${prefix}/include|g' \
+			-e 's|@VERSION@|'${PV}'|g' \
+			zlib.pc.in > zlib.pc || die
+		;;
+	*)
+		emake
+		;;
+	esac
+	use minizip && emake -C contrib/minizip
+}
+
+sed_macros() {
+	# clean up namespace a little #383179
+	# we do it here so we only have to tweak 2 files
+	sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "$@" || die
+}
+
+multilib_src_install() {
+	case ${CHOST} in
+	*-mingw*|mingw*|*-cygwin*)
+		emake -f win32/Makefile.gcc install \
+			BINARY_PATH="${ED}/usr/bin" \
+			LIBRARY_PATH="${ED}/usr/$(get_libdir)" \
+			INCLUDE_PATH="${ED}/usr/include" \
+			SHARED_MODE=1
+		# overwrites zlib.pc created from win32/Makefile.gcc #620136
+		insinto /usr/$(get_libdir)/pkgconfig
+		doins zlib.pc
+		;;
+
+	*)
+		emake install DESTDIR="${D}" LDCONFIG=:
+		gen_usr_ldscript -a z
+		;;
+	esac
+	sed_macros "${ED}"/usr/include/*.h
+
+	if use minizip ; then
+		emake -C contrib/minizip install DESTDIR="${D}"
+		sed_macros "${ED}"/usr/include/minizip/*.h
+	fi
+
+	if ! use static-libs ; then
+		rm -f "${ED}"/usr/$(get_libdir)/lib{z,minizip}.{a,la} || die #419645
+	fi
+}
+
+multilib_src_install_all() {
+	dodoc FAQ README ChangeLog doc/*.txt
+	use minizip && dodoc contrib/minizip/*.txt
+}
diff --git a/sys-libs/zlib/zlib-1.2.11.ebuild b/sys-libs/zlib/zlib-1.2.11.ebuild
deleted file mode 100644
index c3f5460..0000000
--- a/sys-libs/zlib/zlib-1.2.11.ebuild
+++ /dev/null
@@ -1,124 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-AUTOTOOLS_AUTO_DEPEND="no"
-
-inherit autotools toolchain-funcs multilib multilib-minimal
-
-DESCRIPTION="Standard (de)compression library"
-HOMEPAGE="http://www.zlib.net/"
-SRC_URI="http://zlib.net/${P}.tar.gz
-	http://www.gzip.org/zlib/${P}.tar.gz
-	http://www.zlib.net/current/beta/${P}.tar.gz"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="*"
-IUSE="minizip static-libs"
-
-DEPEND="minizip? ( ${AUTOTOOLS_DEPEND} )"
-RDEPEND="abi_x86_32? (
-		!<=app-emulation/emul-linux-x86-baselibs-20130224
-		!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
-	)
-	!<dev-libs/libxml2-2.7.7" #309623
-
-src_prepare() {
-	if use minizip ; then
-		cd contrib/minizip || die
-		eautoreconf
-	fi
-
-	case ${CHOST} in
-	*-mingw*|mingw*)
-		# uses preconfigured Makefile rather than configure script
-		multilib_copy_sources
-		;;
-	esac
-}
-
-echoit() { echo "$@"; "$@"; }
-
-multilib_src_configure() {
-	case ${CHOST} in
-	*-mingw*|mingw*)
-		;;
-	*)      # not an autoconf script, so can't use econf
-		local uname=$("${EPREFIX}"/usr/share/gnuconfig/config.sub "${CHOST}" | cut -d- -f3) #347167
-		echoit "${S}"/configure \
-			--shared \
-			--prefix="${EPREFIX}/usr" \
-			--libdir="${EPREFIX}/usr/$(get_libdir)" \
-			${uname:+--uname=${uname}} \
-			|| die
-		;;
-	esac
-
-	if use minizip ; then
-		local minizipdir="contrib/minizip"
-		mkdir -p "${BUILD_DIR}/${minizipdir}" || die
-		cd ${minizipdir} || die
-		ECONF_SOURCE="${S}/${minizipdir}" \
-		econf $(use_enable static-libs static)
-	fi
-}
-
-multilib_src_compile() {
-	case ${CHOST} in
-	*-mingw*|mingw*)
-		emake -f win32/Makefile.gcc STRIP=true PREFIX=${CHOST}-
-		sed \
-			-e 's|@prefix@|/usr|g' \
-			-e 's|@exec_prefix@|${prefix}|g' \
-			-e 's|@libdir@|${exec_prefix}/'$(get_libdir)'|g' \
-			-e 's|@sharedlibdir@|${exec_prefix}/'$(get_libdir)'|g' \
-			-e 's|@includedir@|${prefix}/include|g' \
-			-e 's|@VERSION@|'${PV}'|g' \
-			zlib.pc.in > zlib.pc || die
-		;;
-	*)
-		emake
-		;;
-	esac
-	use minizip && emake -C contrib/minizip
-}
-
-sed_macros() {
-	# clean up namespace a little #383179
-	# we do it here so we only have to tweak 2 files
-	sed -i -r 's:\<(O[FN])\>:_Z_\1:g' "$@" || die
-}
-
-multilib_src_install() {
-	case ${CHOST} in
-	*-mingw*|mingw*)
-		emake -f win32/Makefile.gcc install \
-			BINARY_PATH="${ED}/usr/bin" \
-			LIBRARY_PATH="${ED}/usr/$(get_libdir)" \
-			INCLUDE_PATH="${ED}/usr/include" \
-			SHARED_MODE=1
-		# overwrites zlib.pc created from win32/Makefile.gcc #620136
-		insinto /usr/$(get_libdir)/pkgconfig
-		doins zlib.pc
-		;;
-
-	*)
-		emake install DESTDIR="${D}" LDCONFIG=:
-		gen_usr_ldscript -a z
-		;;
-	esac
-	sed_macros "${ED}"/usr/include/*.h
-
-	if use minizip ; then
-		emake -C contrib/minizip install DESTDIR="${D}"
-		sed_macros "${ED}"/usr/include/minizip/*.h
-	fi
-
-	use static-libs || rm -f "${ED}"/usr/$(get_libdir)/lib{z,minizip}.{a,la} #419645
-}
-
-multilib_src_install_all() {
-	dodoc FAQ README ChangeLog doc/*.txt
-	use minizip && dodoc contrib/minizip/*.txt
-}